com.collabnet.ce.soap60.webservices.cemain

## Class OperationClusterConstants

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.cemain.OperationClusterConstants

-     public class OperationClusterConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BASELINE_ADMIN`
    `static String` | `BASELINE_CREATE`
    `static String` | `BASELINE_REVIEW`
    `static String` | `BASELINE_VIEW`
    `static String` | `DATAMART_VIEW`
    `static String` | `DISCUSSION_ADMIN`
    `static String` | `DISCUSSION_DELETE`
    `static String` | `DISCUSSION_PARTICIPATE`
    `static String` | `DISCUSSION_PRIVATE_DELETE`
    `static String` | `DISCUSSION_PRIVATE_PARTICIPATE`
    `static String` | `DISCUSSION_PRIVATE_VIEW`
    `static String` | `DISCUSSION_VIEW`
    `static String` | `DOCMAN_ADMIN`
    `static String` | `DOCMAN_CREATE`
    `static String` | `DOCMAN_DELETE`
    `static String` | `DOCMAN_EDIT`
    `static String` | `DOCMAN_FOLDER_CREATE`
    `static String` | `DOCMAN_FOLDER_DELETE`
    `static String` | `DOCMAN_FOLDER_EDIT`
    `static String` | `DOCMAN_VIEW`
    `static String` | `FRS_ADMIN`
    `static String` | `FRS_CREATE`
    `static String` | `FRS_DELETE`
    `static String` | `FRS_VIEW`
    `static String` | `HTML_EDIT`
    `static String` | `PACKAGE_DOWNLOAD`
    `static String` | `PACKAGE_GENERATION`
    `static String` | `PAGE_ADMIN`
    `static String` | `PAGE_DELETE`
    `static String` | `PAGE_VIEW`
    `static String` | `PKGMGMT_APPLN_ADMIN`
    `static String` | `PKGMGMT_APPLN_VIEW`
    `static String` | `PKGMGMT_ENV_ADMIN`
    `static String` | `PKGMGMT_ENV_VIEW`
    `static String` | `PKGMGMT_PKG_ADMIN`
    `static String` | `PKGMGMT_PKG_VIEW`
    `static String` | `PLANNING_ADMIN`
    `static String` | `PLANNING_DELETE`
    `static String` | `PLANNING_RANK`
    `static String` | `PROJECT_ADMIN`
    `static String` | `PROJECT_BASELINE`
    `static String` | `PROJECT_BDEF`
    `static String` | `PROJECT_INFO`
    `static String` | `SCM_ADMIN`
    `static String` | `SCM_COMMIT`
    `static String` | `SCM_DELETE`
    `static String` | `SCM_FGP`
    `static String` | `SCM_VIEW`
    `static String` | `SITEWIDE_CATEGORY_ADMIN`
    `static String` | `SITEWIDE_CATEGORY_CREATE`
    `static String` | `SITEWIDE_CATEGORY_DELETE`
    `static String` | `SITEWIDE_GROUP_ADMIN`
    `static String` | `SITEWIDE_GROUP_CREATE`
    `static String` | `SITEWIDE_GROUP_DELETE`
    `static String` | `SITEWIDE_GROUP_VIEW`
    `static String` | `SITEWIDE_INTEGRATION_SCM_ADMIN`
    `static String` | `SITEWIDE_INTEGRATION_SWLA_ADMIN`
    `static String` | `SITEWIDE_PROJECT_ADMIN`
    `static String` | `SITEWIDE_PROJECT_CREATE`
    `static String` | `SITEWIDE_PROJECT_DELETE`
    `static String` | `SITEWIDE_PROJECT_GROUP_ADMIN`
    `static String` | `SITEWIDE_PROJECT_GROUP_CREATE`
    `static String` | `SITEWIDE_PROJECT_GROUP_DELETE`
    `static String` | `SITEWIDE_PROJECT_GROUP_VIEW`
    `static String` | `SITEWIDE_PROJECT_VIEW`
    `static String` | `SITEWIDE_ROLE_ADMIN`
    `static String` | `SITEWIDE_ROLE_CREATE`
    `static String` | `SITEWIDE_ROLE_DELETE`
    `static String` | `SITEWIDE_ROLE_VIEW`
    `static String` | `SITEWIDE_SYSTOOLS_VIEW`
    `static String` | `SITEWIDE_USER_ADMIN`
    `static String` | `SITEWIDE_USER_CREATE`
    `static String` | `SITEWIDE_USER_DELETE`
    `static String` | `TASKMGR_ADMIN`
    `static String` | `TASKMGR_CREATE`
    `static String` | `TASKMGR_DELETE`
    `static String` | `TASKMGR_EDIT`
    `static String` | `TASKMGR_VIEW`
    `static String` | `TRACKER_ADMIN`
    `static String` | `TRACKER_CREATE`
    `static String` | `TRACKER_DELETE`
    `static String` | `TRACKER_EDIT`
    `static String` | `TRACKER_VIEW`
    `static String` | `WIKI_ADMIN`
    `static String` | `WIKI_CREATE`
    `static String` | `WIKI_DELETE`
    `static String` | `WIKI_VIEW`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OperationClusterConstants()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getClusterResource(String clusterName, boolean specified)`
    `static boolean` | `isBaselineApp(String clusterName)`
    `static boolean` | `isCategoryApp(String clusterName)`
    `static boolean` | `isDatamartApp(String clusterName)`
    `static boolean` | `isDiscussionsApp(String clusterName)`
    `static boolean` | `isDocumentFoldersApp(String clusterName)`
    `static boolean` | `isDocumentsApp(String clusterName)`
    `static boolean` | `isFileReleasesApp(String clusterName)`
    `static boolean` | `isGroupApp(String clusterName)`
    `static boolean` | `isIntegrationApp(String clusterName)`
    `static boolean` | `isPageApp(String clusterName)`
    `static boolean` | `isPlanningApp(String clusterName)`
    `static boolean` | `isProjectAdminApp(String clusterName)`
    `static boolean` | `isProjectGroupApp(String clusterName)`
    `static boolean` | `isProjectInfoApp(String clusterName)`
    `static boolean` | `isProjectsAdminApp(String clusterName)`
    `static boolean` | `isReleaseManagementApp(String clusterName)`
    `static boolean` | `isRoleApp(String clusterName)`
    `static boolean` | `isScmApp(String clusterName)`
    `static boolean` | `isStarStarCluster(String clusterName)`
    `static boolean` | `isSysToolsApp(String clusterName)`
    `static boolean` | `isTasksApp(String clusterName)`
    `static boolean` | `isTrackerApp(String clusterName)`
    `static boolean` | `isUserApp(String clusterName)`
    `static boolean` | `isValidClusterName(String clusterName)`
    `static boolean` | `isWikiApp(String clusterName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROJECT_ADMIN

          public static final String PROJECT_ADMIN

      See Also:
        Constant Field Values

    - #### PROJECT_INFO

          public static final String PROJECT_INFO

      See Also:
        Constant Field Values

    - #### SITEWIDE_PROJECT_ADMIN

          public static final String SITEWIDE_PROJECT_ADMIN

      See Also:
        Constant Field Values

    - #### SITEWIDE_PROJECT_CREATE

          public static final String SITEWIDE_PROJECT_CREATE

      See Also:
        Constant Field Values

    - #### SITEWIDE_PROJECT_DELETE

          public static final String SITEWIDE_PROJECT_DELETE

      See Also:
        Constant Field Values

    - #### SITEWIDE_PROJECT_VIEW

          public static final String SITEWIDE_PROJECT_VIEW

      See Also:
        Constant Field Values

    - #### TRACKER_ADMIN

          public static final String TRACKER_ADMIN

      See Also:
        Constant Field Values

    - #### TRACKER_CREATE

          public static final String TRACKER_CREATE

      See Also:
        Constant Field Values

    - #### TRACKER_EDIT

          public static final String TRACKER_EDIT

      See Also:
        Constant Field Values

    - #### TRACKER_VIEW

          public static final String TRACKER_VIEW

      See Also:
        Constant Field Values

    - #### TRACKER_DELETE

          public static final String TRACKER_DELETE

      See Also:
        Constant Field Values

    - #### DOCMAN_ADMIN

          public static final String DOCMAN_ADMIN

      See Also:
        Constant Field Values

    - #### DOCMAN_CREATE

          public static final String DOCMAN_CREATE

      See Also:
        Constant Field Values

    - #### DOCMAN_EDIT

          public static final String DOCMAN_EDIT

      See Also:
        Constant Field Values

    - #### DOCMAN_VIEW

          public static final String DOCMAN_VIEW

      See Also:
        Constant Field Values

    - #### DOCMAN_DELETE

          public static final String DOCMAN_DELETE

      See Also:
        Constant Field Values

    - #### DOCMAN_FOLDER_CREATE

          public static final String DOCMAN_FOLDER_CREATE

      See Also:
        Constant Field Values

    - #### DOCMAN_FOLDER_EDIT

          public static final String DOCMAN_FOLDER_EDIT

      See Also:
        Constant Field Values

    - #### DOCMAN_FOLDER_DELETE

          public static final String DOCMAN_FOLDER_DELETE

      See Also:
        Constant Field Values

    - #### TASKMGR_ADMIN

          public static final String TASKMGR_ADMIN

      See Also:
        Constant Field Values

    - #### TASKMGR_CREATE

          public static final String TASKMGR_CREATE

      See Also:
        Constant Field Values

    - #### TASKMGR_EDIT

          public static final String TASKMGR_EDIT

      See Also:
        Constant Field Values

    - #### TASKMGR_VIEW

          public static final String TASKMGR_VIEW

      See Also:
        Constant Field Values

    - #### TASKMGR_DELETE

          public static final String TASKMGR_DELETE

      See Also:
        Constant Field Values

    - #### SCM_ADMIN

          public static final String SCM_ADMIN

      See Also:
        Constant Field Values

    - #### SCM_COMMIT

          public static final String SCM_COMMIT

      See Also:
        Constant Field Values

    - #### SCM_VIEW

          public static final String SCM_VIEW

      See Also:
        Constant Field Values

    - #### SCM_FGP

          public static final String SCM_FGP

      See Also:
        Constant Field Values

    - #### SCM_DELETE

          public static final String SCM_DELETE

      See Also:
        Constant Field Values

    - #### DISCUSSION_ADMIN

          public static final String DISCUSSION_ADMIN

      See Also:
        Constant Field Values

    - #### DISCUSSION_PARTICIPATE

          public static final String DISCUSSION_PARTICIPATE

      See Also:
        Constant Field Values

    - #### DISCUSSION_VIEW

          public static final String DISCUSSION_VIEW

      See Also:
        Constant Field Values

    - #### DISCUSSION_DELETE

          public static final String DISCUSSION_DELETE

      See Also:
        Constant Field Values

    - #### DISCUSSION_PRIVATE_DELETE

          public static final String DISCUSSION_PRIVATE_DELETE

      See Also:
        Constant Field Values

    - #### DISCUSSION_PRIVATE_PARTICIPATE

          public static final String DISCUSSION_PRIVATE_PARTICIPATE

      See Also:
        Constant Field Values

    - #### DISCUSSION_PRIVATE_VIEW

          public static final String DISCUSSION_PRIVATE_VIEW

      See Also:
        Constant Field Values

    - #### FRS_ADMIN

          public static final String FRS_ADMIN

      See Also:
        Constant Field Values

    - #### FRS_CREATE

          public static final String FRS_CREATE

      See Also:
        Constant Field Values

    - #### FRS_VIEW

          public static final String FRS_VIEW

      See Also:
        Constant Field Values

    - #### FRS_DELETE

          public static final String FRS_DELETE

      See Also:
        Constant Field Values

    - #### WIKI_ADMIN

          public static final String WIKI_ADMIN

      See Also:
        Constant Field Values

    - #### WIKI_CREATE

          public static final String WIKI_CREATE

      See Also:
        Constant Field Values

    - #### WIKI_VIEW

          public static final String WIKI_VIEW

      See Also:
        Constant Field Values

    - #### WIKI_DELETE

          public static final String WIKI_DELETE

      See Also:
        Constant Field Values

    - #### PAGE_ADMIN

          public static final String PAGE_ADMIN

      See Also:
        Constant Field Values

    - #### HTML_EDIT

          public static final String HTML_EDIT

      See Also:
        Constant Field Values

    - #### PAGE_VIEW

          public static final String PAGE_VIEW

      See Also:
        Constant Field Values

    - #### PAGE_DELETE

          public static final String PAGE_DELETE

      See Also:
        Constant Field Values

    - #### SITEWIDE_USER_ADMIN

          public static final String SITEWIDE_USER_ADMIN

      See Also:
        Constant Field Values

    - #### SITEWIDE_USER_CREATE

          public static final String SITEWIDE_USER_CREATE

      See Also:
        Constant Field Values

    - #### SITEWIDE_USER_DELETE

          public static final String SITEWIDE_USER_DELETE

      See Also:
        Constant Field Values

    - #### SITEWIDE_GROUP_ADMIN

          public static final String SITEWIDE_GROUP_ADMIN

      See Also:
        Constant Field Values

    - #### SITEWIDE_GROUP_CREATE

          public static final String SITEWIDE_GROUP_CREATE

      See Also:
        Constant Field Values

    - #### SITEWIDE_GROUP_DELETE

          public static final String SITEWIDE_GROUP_DELETE

      See Also:
        Constant Field Values

    - #### SITEWIDE_GROUP_VIEW

          public static final String SITEWIDE_GROUP_VIEW

      See Also:
        Constant Field Values

    - #### SITEWIDE_ROLE_ADMIN

          public static final String SITEWIDE_ROLE_ADMIN

      See Also:
        Constant Field Values

    - #### SITEWIDE_ROLE_CREATE

          public static final String SITEWIDE_ROLE_CREATE

      See Also:
        Constant Field Values

    - #### SITEWIDE_ROLE_DELETE

          public static final String SITEWIDE_ROLE_DELETE

      See Also:
        Constant Field Values

    - #### SITEWIDE_ROLE_VIEW

          public static final String SITEWIDE_ROLE_VIEW

      See Also:
        Constant Field Values

    - #### SITEWIDE_CATEGORY_ADMIN

          public static final String SITEWIDE_CATEGORY_ADMIN

      See Also:
        Constant Field Values

    - #### SITEWIDE_CATEGORY_CREATE

          public static final String SITEWIDE_CATEGORY_CREATE

      See Also:
        Constant Field Values

    - #### SITEWIDE_CATEGORY_DELETE

          public static final String SITEWIDE_CATEGORY_DELETE

      See Also:
        Constant Field Values

    - #### SITEWIDE_PROJECT_GROUP_ADMIN

          public static final String SITEWIDE_PROJECT_GROUP_ADMIN

      See Also:
        Constant Field Values

    - #### SITEWIDE_PROJECT_GROUP_CREATE

          public static final String SITEWIDE_PROJECT_GROUP_CREATE

      See Also:
        Constant Field Values

    - #### SITEWIDE_PROJECT_GROUP_DELETE

          public static final String SITEWIDE_PROJECT_GROUP_DELETE

      See Also:
        Constant Field Values

    - #### SITEWIDE_PROJECT_GROUP_VIEW

          public static final String SITEWIDE_PROJECT_GROUP_VIEW

      See Also:
        Constant Field Values

    - #### SITEWIDE_SYSTOOLS_VIEW

          public static final String SITEWIDE_SYSTOOLS_VIEW

      See Also:
        Constant Field Values

    - #### PLANNING_ADMIN

          public static final String PLANNING_ADMIN

      See Also:
        Constant Field Values

    - #### PLANNING_RANK

          public static final String PLANNING_RANK

      See Also:
        Constant Field Values

    - #### PLANNING_DELETE

          public static final String PLANNING_DELETE

      See Also:
        Constant Field Values

    - #### BASELINE_ADMIN

          public static final String BASELINE_ADMIN

      See Also:
        Constant Field Values

    - #### BASELINE_CREATE

          public static final String BASELINE_CREATE

      See Also:
        Constant Field Values

    - #### BASELINE_VIEW

          public static final String BASELINE_VIEW

      See Also:
        Constant Field Values

    - #### BASELINE_REVIEW

          public static final String BASELINE_REVIEW

      See Also:
        Constant Field Values

    - #### PROJECT_BDEF

          public static final String PROJECT_BDEF

      See Also:
        Constant Field Values

    - #### PROJECT_BASELINE

          public static final String PROJECT_BASELINE

      See Also:
        Constant Field Values

    - #### PACKAGE_DOWNLOAD

          public static final String PACKAGE_DOWNLOAD

      See Also:
        Constant Field Values

    - #### PACKAGE_GENERATION

          public static final String PACKAGE_GENERATION

      See Also:
        Constant Field Values

    - #### DATAMART_VIEW

          public static final String DATAMART_VIEW

      See Also:
        Constant Field Values

    - #### PKGMGMT_ENV_ADMIN

          public static final String PKGMGMT_ENV_ADMIN

      See Also:
        Constant Field Values

    - #### PKGMGMT_ENV_VIEW

          public static final String PKGMGMT_ENV_VIEW

      See Also:
        Constant Field Values

    - #### PKGMGMT_APPLN_ADMIN

          public static final String PKGMGMT_APPLN_ADMIN

      See Also:
        Constant Field Values

    - #### PKGMGMT_APPLN_VIEW

          public static final String PKGMGMT_APPLN_VIEW

      See Also:
        Constant Field Values

    - #### PKGMGMT_PKG_ADMIN

          public static final String PKGMGMT_PKG_ADMIN

      See Also:
        Constant Field Values

    - #### PKGMGMT_PKG_VIEW

          public static final String PKGMGMT_PKG_VIEW

      See Also:
        Constant Field Values

    - #### SITEWIDE_INTEGRATION_SCM_ADMIN

          public static final String SITEWIDE_INTEGRATION_SCM_ADMIN

      See Also:
        Constant Field Values

    - #### SITEWIDE_INTEGRATION_SWLA_ADMIN

          public static final String SITEWIDE_INTEGRATION_SWLA_ADMIN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OperationClusterConstants

          public OperationClusterConstants()

  - ### Method Detail

    - #### isProjectAdminApp

          public static boolean isProjectAdminApp(String clusterName)

    - #### isProjectInfoApp

          public static boolean isProjectInfoApp(String clusterName)

    - #### isProjectsAdminApp

          public static boolean isProjectsAdminApp(String clusterName)

    - #### isTrackerApp

          public static boolean isTrackerApp(String clusterName)

    - #### isDocumentsApp

          public static boolean isDocumentsApp(String clusterName)

    - #### isDocumentFoldersApp

          public static boolean isDocumentFoldersApp(String clusterName)

    - #### isTasksApp

          public static boolean isTasksApp(String clusterName)

    - #### isScmApp

          public static boolean isScmApp(String clusterName)

    - #### isDiscussionsApp

          public static boolean isDiscussionsApp(String clusterName)

    - #### isFileReleasesApp

          public static boolean isFileReleasesApp(String clusterName)

    - #### isWikiApp

          public static boolean isWikiApp(String clusterName)

    - #### isPageApp

          public static boolean isPageApp(String clusterName)

    - #### isUserApp

          public static boolean isUserApp(String clusterName)

    - #### isGroupApp

          public static boolean isGroupApp(String clusterName)

    - #### isRoleApp

          public static boolean isRoleApp(String clusterName)

    - #### isCategoryApp

          public static boolean isCategoryApp(String clusterName)

    - #### isProjectGroupApp

          public static boolean isProjectGroupApp(String clusterName)

    - #### isSysToolsApp

          public static boolean isSysToolsApp(String clusterName)

    - #### isPlanningApp

          public static boolean isPlanningApp(String clusterName)

    - #### isBaselineApp

          public static boolean isBaselineApp(String clusterName)

    - #### isDatamartApp

          public static boolean isDatamartApp(String clusterName)

    - #### isReleaseManagementApp

          public static boolean isReleaseManagementApp(String clusterName)

    - #### isIntegrationApp

          public static boolean isIntegrationApp(String clusterName)

    - #### isValidClusterName

          public static boolean isValidClusterName(String clusterName)

    - #### getClusterResource

          public static String getClusterResource(String clusterName,
                                                  boolean specified)

    - #### isStarStarCluster

          public static boolean isStarStarCluster(String clusterName)

Copyright © 2019 CollabNet. All rights reserved.